diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/user-edit.php ./wordpress-3.3/wp-admin/user-edit.php
*** ./wordpress-3.2.1/wp-admin/user-edit.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/user-edit.php	2011-12-08 10:49:16.000000000 -0600
***************
*** 36,48 ****
  else
  	$parent_file = 'profile.php';
  
! // contextual help - choose Help on the top right of admin panel to preview this.
! add_contextual_help($current_screen,
!     '<p>' . __('Your profile contains information about you (your &#8220;account&#8221;) as well as some personal options related to using WordPress.') . '</p>' .
!     '<p>' . __('You can change your password, turn on keyboard shortcuts, change the color scheme of your WordPress administration screens, and turn off the WYSIWYG (Visual) editor, among other things.') . '</p>' .
!     '<p>' . __('Your username cannot be changed, but you can use other fields to enter your real name or a nickname, and change which name to display on your posts.') . '</p>' .
!     '<p>' . __('Required fields are indicated; the rest are optional. Profile information will only be displayed if your theme is set up to do so.') . '</p>' .
!     '<p>' . __('Remember to click the Update Profile button when you are finished.') . '</p>' .
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Your_Profile_Screen" target="_blank">Documentation on User Profiles</a>') . '</p>' .
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 36,55 ----
  else
  	$parent_file = 'profile.php';
  
! 
! $profile_help = '<p>' . __('Your profile contains information about you (your &#8220;account&#8221;) as well as some personal options related to using WordPress.') . '</p>' .
! 	'<p>' . __('You can change your password, turn on keyboard shortcuts, change the color scheme of your WordPress administration screens, and turn off the WYSIWYG (Visual) editor, among other things. You can hide the Toolbar (formerly called the Admin Bar) from the front end of your site, however it cannot be disabled on the admin screens.') . '</p>' .
! 	'<p>' . __('Your username cannot be changed, but you can use other fields to enter your real name or a nickname, and change which name to display on your posts.') . '</p>' .
! 	'<p>' . __('Required fields are indicated; the rest are optional. Profile information will only be displayed if your theme is set up to do so.') . '</p>' .
! 	'<p>' . __('Remember to click the Update Profile button when you are finished.') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => $profile_help,
! ) );
! 
! get_current_screen()->set_help_sidebar(
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Your_Profile_Screen" target="_blank">Documentation on User Profiles</a>') . '</p>' .
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 156,162 ****
--- 162,172 ----
  <?php } ?>
  <?php if ( isset($_GET['updated']) ) : ?>
  <div id="message" class="updated">
+ 	<?php if ( IS_PROFILE_PAGE ) : ?>
+ 	<p><strong><?php _e('Profile updated.') ?></strong></p>
+ 	<?php else: ?>
  	<p><strong><?php _e('User updated.') ?></strong></p>
+ 	<?php endif; ?>
  	<?php if ( $wp_http_referer && !IS_PROFILE_PAGE ) : ?>
  	<p><a href="<?php echo esc_url( $wp_http_referer ); ?>"><?php _e('&larr; Back to Users'); ?></a></p>
  	<?php endif; ?>
***************
*** 213,226 ****
  </tr>
  <?php endif; ?>
  <tr class="show-admin-bar">
! <th scope="row"><?php _e('Show Admin Bar')?></th>
! <td><fieldset><legend class="screen-reader-text"><span><?php _e('Show Admin Bar') ?></span></legend>
  <label for="admin_bar_front">
! <input name="admin_bar_front" type="checkbox" id="admin_bar_front" value="1" <?php checked( _get_admin_bar_pref( 'front', $profileuser->ID ) ); ?> />
! <?php /* translators: Show admin bar when viewing site */ _e( 'when viewing site' ); ?></label><br />
! <label for="admin_bar_admin">
! <input name="admin_bar_admin" type="checkbox" id="admin_bar_admin" value="1" <?php checked( _get_admin_bar_pref( 'admin', $profileuser->ID ) ); ?> />
! <?php /* translators: Show admin bar in dashboard */ _e( 'in dashboard' ); ?></label></fieldset>
  </td>
  </tr>
  <?php do_action('personal_options', $profileuser); ?>
--- 223,234 ----
  </tr>
  <?php endif; ?>
  <tr class="show-admin-bar">
! <th scope="row"><?php _e('Toolbar')?></th>
! <td><fieldset><legend class="screen-reader-text"><span><?php _e('Toolbar') ?></span></legend>
  <label for="admin_bar_front">
! <input name="admin_bar_front" type="checkbox" id="admin_bar_front" value="1"<?php checked( _get_admin_bar_pref( 'front', $profileuser->ID ) ); ?> />
! <?php _e( 'Show Toolbar when viewing site' ); ?></label><br />
! </fieldset>
  </td>
  </tr>
  <?php do_action('personal_options', $profileuser); ?>
***************
*** 256,262 ****
  else
  	echo '<option value="" selected="selected">' . __('&mdash; No role for this site &mdash;') . '</option>';
  ?>
! </select>
  <?php endif; //!IS_PROFILE_PAGE
  
  if ( is_multisite() && is_network_admin() && ! IS_PROFILE_PAGE && current_user_can( 'manage_network_options' ) && !isset($super_admins) ) { ?>
--- 264,270 ----
  else
  	echo '<option value="" selected="selected">' . __('&mdash; No role for this site &mdash;') . '</option>';
  ?>
! </select></td></tr>
  <?php endif; //!IS_PROFILE_PAGE
  
  if ( is_multisite() && is_network_admin() && ! IS_PROFILE_PAGE && current_user_can( 'manage_network_options' ) && !isset($super_admins) ) { ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/user-new.php ./wordpress-3.3/wp-admin/user-new.php
*** ./wordpress-3.2.1/wp-admin/user-new.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/user-new.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 21,27 ****
  		/* translators: 1: Site name, 2: site URL, 3: role */
  		return sprintf( __( 'Hi,
  You\'ve been invited to join \'%1$s\' at
! %2$s as a %3$s.
  If you do not want to join this site please ignore
  this email. This invitation will expire in a few days.
  
--- 21,27 ----
  		/* translators: 1: Site name, 2: site URL, 3: role */
  		return sprintf( __( 'Hi,
  You\'ve been invited to join \'%1$s\' at
! %2$s with the role of %3$s.
  If you do not want to join this site please ignore
  this email. This invitation will expire in a few days.
  
***************
*** 59,65 ****
  		wp_die(__('Cheatin&#8217; uh?'));
  
  	// Adding an existing user to this blog
! 	$new_user_email = esc_html(trim($_REQUEST['email']));
  	$redirect = 'user-new.php';
  	$username = $user_details->user_login;
  	$user_id = $user_details->ID;
--- 59,65 ----
  		wp_die(__('Cheatin&#8217; uh?'));
  
  	// Adding an existing user to this blog
! 	$new_user_email = $user_details->user_email;
  	$redirect = 'user-new.php';
  	$username = $user_details->user_login;
  	$user_id = $user_details->ID;
***************
*** 72,78 ****
  		} else {
  			$newuser_key = substr( md5( $user_id ), 0, 5 );
  			add_option( 'new_user_' . $newuser_key, array( 'user_id' => $user_id, 'email' => $user_details->user_email, 'role' => $_REQUEST[ 'role' ] ) );
! 			$message = __("Hi,\n\nYou have been invited to join '%s' at\n%s as a %s.\nPlease click the following link to confirm the invite:\n%s\n");
  			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ),  sprintf($message, get_option('blogname'), site_url(), $_REQUEST[ 'role' ], site_url("/newbloguser/$newuser_key/")));
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
--- 72,85 ----
  		} else {
  			$newuser_key = substr( md5( $user_id ), 0, 5 );
  			add_option( 'new_user_' . $newuser_key, array( 'user_id' => $user_id, 'email' => $user_details->user_email, 'role' => $_REQUEST[ 'role' ] ) );
! 			/* translators: 1: Site name, 2: site URL, 3: role, 4: activation URL */
! 			$message = __( 'Hi,
! 
! You\'ve been invited to join \'%1$s\' at
! %2$s with the role of %3$s.
! 
! Please click the following link to confirm the invite:
! %4$s' );
  			wp_mail( $new_user_email, sprintf( __( '[%s] Joining confirmation' ), get_option( 'blogname' ) ),  sprintf($message, get_option('blogname'), site_url(), $_REQUEST[ 'role' ], site_url("/newbloguser/$newuser_key/")));
  			$redirect = add_query_arg( array('update' => 'add'), 'user-new.php' );
  		}
***************
*** 133,150 ****
  if ( is_multisite() && current_user_can('promote_users') && current_user_can('create_users') )
  	$do_both = true;
  
! add_contextual_help($current_screen,
!     '<p>' . __('To add a new user to your site, fill in the form on this screen. If you&#8217;re not sure which role to assign, you can use the link below to review the different roles and their capabilities. Here is a basic overview of roles:') . '</p>' .
!     '<ul>' .
!         '<li>' . __('Administrators have access to all the administration features.') . '</li>' .
!         '<li>' . __('Editors can publish posts, manage posts as well as manage other people&#8217;s posts, etc.')  . '</li>' .
!         '<li>' . __('Authors can publish and manage their own posts.') . '</li>' .
!         '<li>' . __('Contributors can write and manage their posts but not publish posts or upload media files.') . '</li>' .
!         '<li>' . __('Subscribers can read comments/comment/receive newsletters, etc.') . '</li>' .
!     '</ul>' .
!     '<p>' . __('You must assign a password to the new user, but don&#8217;t worry; when they log in for the first time they will be prompted to change it. The username, however, cannot be changed.') . '</p>' .
!     '<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. By default, this email will also contain their password. Uncheck the box if you don&#8217;t want the password to be included in the welcome email.') . '</p>' .
!     '<p>' . __('Remember to click the Add User button at the bottom of this screen when you are finished.') . '</p>' .
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Add_New_Screen" target="_blank">Documentation on Adding New Users</a>') . '</p>' .
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 139,176 ----
  if ( is_multisite() && current_user_can('promote_users') && current_user_can('create_users') )
  	$do_both = true;
  
! $help = '<p>' . __('To add a new user to your site, fill in the form on this screen and click the Add New User button at the bottom.') . '</p>';
! 
! if ( is_multisite() ) {
! 	$help .= '<p>' . __('Because this is a multisite installation, you may add accounts that already exist on the Network by specifying a username or email, and defining a role. For more options, such as specifying a password, you have to be a Network Administrator and use the hover link under an existing user&#8217;s name to Edit the user profile under Network Admin > All Users.') . '</p>' .
! 	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. This email will also contain their password. Check the box if you don&#8217;t want the user to recieve a welcome email.') . '</p>';
! } else {
! 	$help .= '<p>' . __('You must assign a password to the new user, which they can change after logging in. The username, however, cannot be changed.') . '</p>' .
! 	'<p>' . __('New users will receive an email letting them know they&#8217;ve been added as a user for your site. By default, this email will also contain their password. Uncheck the box if you don&#8217;t want the password to be included in the welcome email.') . '</p>';
! }
! 
! $help .= '<p>' . __('Remember to click the Add New User button at the bottom of this screen when you are finished.') . '</p>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => $help,
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 'id'      => 'user-roles',
! 'title'   => __('User Roles'),
! 'content' => '<p>' . __('Here is a basic overview of the different user roles and the permissions associated with each one:') . '</p>' .
! 				'<ul>' .
! 				'<li>' . __('Administrators have access to all the administration features.') . '</li>' .
! 				'<li>' . __('Editors can publish posts, manage posts as well as manage other people&#8217;s posts, etc.')  . '</li>' .
! 				'<li>' . __('Authors can publish and manage their own posts, and are able to upload files.') . '</li>' .
! 				'<li>' . __('Contributors can write and manage their posts but not publish posts or upload media files.') . '</li>' .
! 				'<li>' . __('Subscribers can read comments/comment/receive newsletters, etc. but cannot create regular site content.') . '</li>' .
! 				'</ul>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Add_New_Screen" target="_blank">Documentation on Adding New Users</a>') . '</p>' .
      '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/users.php ./wordpress-3.3/wp-admin/users.php
*** ./wordpress-3.2.1/wp-admin/users.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/users.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 20,29 ****
  add_screen_option( 'per_page', array('label' => _x( 'Users', 'users per page (screen options)' )) );
  
  // contextual help - choose Help on the top right of admin panel to preview this.
! add_contextual_help($current_screen,
!     '<p>' . __('This screen lists all the existing users for your site. Each user has one of five defined roles as set by the site admin: Site Administrator, Editor, Author, Contributor, or Subscriber. Users with roles other than Administrator will see fewer options in the dashboard navigation when they are logged in, based on their role.') . '</p>' .
!     '<p>' . __('You can customize the display of information on this screen as you can on other screens, by using the Screen Options tab and the on-screen filters.') . '</p>' .
!     '<p>' . __('To add a new user for your site, click the Add New button at the top of the screen or Add New in the Users menu section.') . '</p>' .
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Screen" target="_blank">Documentation on Managing Users</a>') . '</p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Roles_and_Capabilities" target="_blank">Descriptions of Roles and Capabilities</a>') . '</p>' .
--- 20,62 ----
  add_screen_option( 'per_page', array('label' => _x( 'Users', 'users per page (screen options)' )) );
  
  // contextual help - choose Help on the top right of admin panel to preview this.
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('This screen lists all the existing users for your site. Each user has one of five defined roles as set by the site admin: Site Administrator, Editor, Author, Contributor, or Subscriber. Users with roles other than Administrator will see fewer options in the dashboard navigation when they are logged in, based on their role.') . '</p>' .
! 				 '<p>' . __('To add a new user for your site, click the Add New button at the top of the screen or Add New in the Users menu section.') . '</p>'
! ) ) ;
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'screen-display',
! 	'title'   => __('Screen Display'),
! 	'content' => '<p>' . __('You can customize the display of this screen in a number of ways:') . '</p>' .
! 					'<ul>' .
! 					'<li>' . __('You can hide/display columns based on your needs and decide how many users to list per screen using the Screen Options tab.') . '</li>' .
! 					'<li>' . __('You can filter the list of users by User Role using the text links in the upper left to show All, Administrator, Editor, Author, Contributor, or Subscriber. The default view is to show all users.  Unused User Roles are not listed.') . '</li>' .
! 					'<li>' . __('You can view all posts made by a user by clicking on the number under the Posts column.') . '</li>' .
! 					'</ul>'
! ) );
! 
! $help = '<p>' . __('Hovering over a row in the users list will display action links that allow you to manage users. You can perform the following actions:') . '</p>' .
! 	'<ul>' .
! 	'<li>' . __('Edit takes you to the editable profile screen for that user. You can also reach that screen by clicking on the username.') . '</li>';
! 
! if ( is_multisite() )
! 	$help .= '<li>' . __( 'Remove allows you to remove a user from your site. It does not delete their posts. You can also remove multiple users at once by using Bulk Actions.' ) . '</li>';
! else
! 	$help .= '<li>' . __( 'Delete brings you to the Delete Users screen for confirmation, where you can permanently remove a user from your site and delete their posts. You can also delete multiple users at once by using Bulk Actions.' ) . '</li>';
! 
! $help .= '</ul>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'actions',
! 	'title'   => __('Actions'),
! 	'content' => $help,
! ) );
! unset( $help );
! 
! get_current_screen()->set_help_sidebar(
      '<p><strong>' . __('For more information:') . '</strong></p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Users_Screen" target="_blank">Documentation on Managing Users</a>') . '</p>' .
      '<p>' . __('<a href="http://codex.wordpress.org/Roles_and_Capabilities" target="_blank">Descriptions of Roles and Capabilities</a>') . '</p>' .
***************
*** 67,74 ****
  
  		if ( ! current_user_can('promote_user', $id) )
  			wp_die(__('You can&#8217;t edit that user.'));
! 		// The new role of the current user must also have promote_users caps
! 		if ( $id == $current_user->ID && !$wp_roles->role_objects[$_REQUEST['new_role']]->has_cap('promote_users') ) {
  			$update = 'err_admin_role';
  			continue;
  		}
--- 100,107 ----
  
  		if ( ! current_user_can('promote_user', $id) )
  			wp_die(__('You can&#8217;t edit that user.'));
! 		// The new role of the current user must also have the promote_users cap or be a super admin
! 		if ( $id == $current_user->ID && ! is_super_admin() && ! $wp_roles->role_objects[ $_REQUEST['new_role'] ]->has_cap('promote_users') ) {
  			$update = 'err_admin_role';
  			continue;
  		}
***************
*** 216,222 ****
  	$update = 'remove';
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
! 		if ( $id == $current_user->id && !is_super_admin() ) {
  			$update = 'err_admin_remove';
  			continue;
  		}
--- 249,255 ----
  	$update = 'remove';
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
! 		if ( $id == $current_user->ID && !is_super_admin() ) {
  			$update = 'err_admin_remove';
  			continue;
  		}
***************
*** 269,275 ****
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
   		$user = new WP_User($id);
! 		if ( $id == $current_user->id && !is_super_admin() ) {
  			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>The current user will not be removed.</strong>'), $id, $user->user_login) . "</li>\n";
  		} elseif ( !current_user_can('remove_user', $id) ) {
  			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>You don\'t have permission to remove this user.</strong>'), $id, $user->user_login) . "</li>\n";
--- 302,308 ----
   	foreach ( $userids as $id ) {
  		$id = (int) $id;
   		$user = new WP_User($id);
! 		if ( $id == $current_user->ID && !is_super_admin() ) {
  			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>The current user will not be removed.</strong>'), $id, $user->user_login) . "</li>\n";
  		} elseif ( !current_user_can('remove_user', $id) ) {
  			echo "<li>" . sprintf(__('ID #%1s: %2s <strong>You don\'t have permission to remove this user.</strong>'), $id, $user->user_login) . "</li>\n";
